openapi: 3.0.3
info:
  title: Ensi Seller Auth
  contact:
    name: API Support
    url: https://ensi.tech/contacts
    email: mail@greensight.ru
  version: 1.0.0
  description: Авторизация пользователей продавцов
servers:
  - url: /api/v1
tags:
  - name: users
    description: Управление пользователями продавцов
  - name: oauth
    description: Авторизация через OAuth
paths:
  /oauth/token:
    $ref: './oauth/paths.yaml#/OAuthTokenCreate'
  /oauth/tokens/{token_id}:
    $ref: './oauth/paths.yaml#/OAuthTokenDelete'
  /users:
    $ref: './users/paths.yaml#/Users'
  /users/{id}:
    $ref: './users/paths.yaml#/UsersOne'
  /users/{id}:extended:
    $ref: './users/paths.yaml#/ExtendedUsersOne'
  /users:search:
    $ref: './users/paths.yaml#/UsersSearch'
  /users:search-one:
    $ref: './users/paths.yaml#/UsersSearchOne'
  /users:current:
    $ref: './users/paths.yaml#/UsersCurrent'

  /users/{id}:add-roles:
    $ref: './users/paths.yaml#/UserAddRoles'
  /users/{id}:delete-role:
    $ref: './users/paths.yaml#/UserDeleteRole'

  /roles/{id}:
    $ref: './users/paths.yaml#/RolesOne'
  /roles:search:
    $ref: './users/paths.yaml#/RolesSearch'
components:
  parameters:
    QueryInclude:
      $ref: './common_parameters.yaml#/QueryInclude'
    PathId:
      $ref: './common_parameters.yaml#/PathId'
    TokenId:
      $ref: './oauth/schemas/tokens.yaml#/TokenId'
  schemas:
    EmptyDataResponse:
      type: object
      properties:
        data:
          type: object
          nullable: true
        meta:
          type: object
      required:
          - data
    GrantTypeEnum:
      $ref: './oauth/enums/grant_type_enum.yaml'
    RoleEnum:
      $ref: './users/enums/role_enum.yaml'
    PaginationTypeEnum:
      $ref: './common_schemas.yaml#/PaginationTypeEnum'
  responses:
    Unauthorized:
      description: Unauthorized
      content:
        application/json:
          schema:
            $ref: './errors.yaml#/ErrorResponse'
    BadRequest:
      description: Bad Request
      content:
        application/json:
          schema:
            $ref: './errors.yaml#/ErrorResponse'
    NotFound:
      description: Not Found
      content:
        application/json:
          schema:
            $ref: './errors.yaml#/ErrorResponse'
    ServerError:
      description: Internal Server Error
      content:
        application/json:
          schema:
            $ref: './errors.yaml#/ErrorResponse'
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
